com.aliyun.svideosdk.common.struct.common

## Class AliyunImageClip

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunClip
  - - com.aliyun.svideosdk.common.struct.common.AliyunImageClip

-     public class AliyunImageClip
      extends AliyunClip

  编辑用到的图片源，该类的实例可以通过`AliyunImageClip.Builder`来构建获得，通过`com.aliyun.svideosdk.importer`导入照片时需要先 创建照片源对象，添加到`com.aliyun.svideosdk.importer`中。

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunImageClip.Builder`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.common.AliyunClip

      `mClipHeight, mClipWidth`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` 获取clip时长，主要用于图片
    `int` | `getImageHeight()` 获取图片高度 com.aliyun.svideosdk.common.struct.common.AliyunImageClip.Builder#build() 之后才会赋值
    `int` | `getImageWidth()` 获取图片宽度 com.aliyun.svideosdk.common.struct.common.AliyunImageClip.Builder#build() 之后才会赋值
    `void` | `setDuration(long durationMills)` 设置持续时长

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.common.AliyunClip

      `getClipHeight, getClipWidth, getDisplayMode, getId, getMediaType, getSource, getTransition, setDisplayMode, setId, setMediaType, setSource, setTransition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDuration

          public long getDuration()

      获取clip时长，主要用于图片
      Returns:
        duration

    - #### setDuration

          public void setDuration(long durationMills)

      设置持续时长
      Parameters:
        `durationMills` - 单位ms

    - #### getImageWidth

          public int getImageWidth()

      获取图片宽度 com.aliyun.svideosdk.common.struct.common.AliyunImageClip.Builder#build() 之后才会赋值
      Returns:
        mImageWidth

    - #### getImageHeight

          public int getImageHeight()

      获取图片高度 com.aliyun.svideosdk.common.struct.common.AliyunImageClip.Builder#build() 之后才会赋值
      Returns:
        mVideoHeigth